#ifndef CLIGHTDRIVER_KM_H
#define CLIGHTDRIVER_KM_H

#include "clightdriver.h"
class CMSerialPort;
class CLightDriver_KM : public CLightDriver
{
public:
    CLightDriver_KM(const QString& name,int32_t id);
    ~CLightDriver_KM();
    int32_t init_driver();
    int32_t exit_driver();
    int32_t setlight(int32_t iChid, int32_t ibright);
    void MakeCommand(byte* pCommand, int& iSize, int iCHID, int data );
    void checkResponse(int32_t iChid,byte* pResponse);
};

#endif // CLIGHTDRIVER_KM_H
